MetacatUI - Feature #6465

Create a better loading page for the KNB
03/13/2014 05:25 PM - Lauren Walker

Status: Resolved Start date: 03/13/2014
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.5.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

If a KNB view is taking a while to fully render, the loading icon displays at the top and the rest of the HTML and images are CSS-less,
making it look odd. This can persist for several seconds, making a bad first impression. The loading page should be very simple,
such as just the loading icon and a white background. OR the metacatUl CSS needs to be pulled from the server faster so that at
least the full KNB header and footer are rendered while the loading continues.

History

#1 - 03/20/2014 12:46 PM - Lauren Walker

- Target version set to 1.5.0

#2 - 03/25/2014 01:23 PM - Lauren Walker

- Status changed from New to Resolved

For all themes, while the app is loading, the entire page is white with the "Loading" icon and text (as opposed to just the top 200px or so). When the
CSS from the theme is received, it will hide this Loading layer.
